label factory_floor_vats:
    $ red_path_traveled = False
    $ blue_path_traveled = False
    $ green_path_traveled = False
    $ red_path_power = False
    $ blue_path_power = False
    $ green_path_power = False
    $ electrical_x_axis = 1
    $ electrical_y_axis = 2
    $ electrical_turns_taken = 0
    $ vats_instruction_manual = False
    $ vats_system_rebooted = False
    $ vats_systems_recalibrated = False
    $ vats_pressure_wrong = True
    $ vats_pumps_online = False
    $ vats_wall_panel = False
    "[povname] carefully opened the door and looked to the other side for any potential threats that may lay beyond."
    "What they found instead caused them to gasp as [pnoun] eyes gazed up at the metal vats that filled the room."
    "It was like [snoun] had stumbled upon some sort of metal forest and with no one around [snoun] carefully walked inside."
    "As soon as they cleared the threashold there was a loud thud that caused them to jump as they turned to see the metal door close shut behind them."
    "With no discernable means of opening it [povname] felt as though there was no way back."
    "With the only light coming from the vats themselves the polished metal gleamed with an unearthly light."
    "It almost felt like [snoun] was on some sort of alien planet instead of a factory floor as [snoun] inched forward."
    "At this point [povname] had no idea where to go, but [snoun] couldn't just stay there either..."
    menu vats_entrance:
        "Look around":
            "[povname] couldn't see much beyond the first few vats before anything beyond was enveloped by shadow."
            "When [sname] looked down at the floor he could see that there were straight red, blue, and green lines that were painted on the floor."
            "They all went straight ahead but didn't have any markings that told [povname] where to go."
            "When [snoun] looked beyond the glowing lights [snoun] could see that they eventually split off into different directions."
            "Looking up [povname] couldn't see anything that was up there in the pitch darkness of the vat room."
        "Check out the nearby vats":
            "[povname] made his way over towards one of the vats, the purple light shining on [pnoun] as [snoun] did."
            "[snoun] could almost sense the rubber churning away within as [snoun] put a hand up against the stainless steel."
            "It was hard to believe that [snoun] was surrounded by the raw material that was the base of Raven's factory."
            "There wasn't anything there that [snoun] could see that would be useful and decided to leave them be."
        "Look at the glowing wall panel":
            if vats_wall_panel:
                "Once more [povname] went up to the emergency power panel in order to try and figure out what was going on."
            else:
                $ vats_wall_panel = True
                "As [povname] glanced over at the wall panel that was next to the door [snoun] could see that it had the words Emergency Power Distribution on it."
                "Currently the only thing that was on it though was a single white line that went from one of the middle dots to the next one to the right of it."
                "Curious to what it could do [povname] pressed [pnoun] finger against it and was surprised to see the line extend out from the second point slightly."
                "Must be some sort of touch pad to direct power, [povname] thought to [pnoun]self as [snoun] traced a line along a few of the points only for it let out an angry buzz and reset."
                "Looks like there had to be some sort of specfic path that the power had to take... but what was it?"
            if red_path_power:
                "There was already a bright red line that connected the emergency power to the pump distribution node."
                "When [povname] clicked on it [snoun] was informed that another attempt will cause the current connection to break to conserve energy."
            elif green_path_power:
                "There was already a bright green line that connected the emergency power to the primary vat control station."
            elif blue_path_power:
                "There was already a bright blue line that connected the emergency power system to the conveyor access system."
            else:
                "It currently had a singly glowing white dot that was on the left-side of the panel."
            menu:
                "Attempt to connect the power?"
                "Yes":
                    $ electrical_x_axis = 1
                    $ electrical_y_axis = 2
                    $ electrical_turns_taken = 0
                    $ red_path_power = False
                    $ blue_path_power = False
                    $ green_path_power = False
                    jump vats_electrical_puzzle
                "No":
                    "[povname] decided to leave it be for the moment and try to make heads or tails of the rest of this place."
                    jump vats_entrance
        "Check out the red path":
            jump red_path_station
        "Check out the blue path":
            jump blue_path_station
        "Check out the green path":
            jump green_path_station
label red_path_station:
    if red_path_power:
        "The red path station once more appeared before [povname] as he used the path to get there."
    elif red_path_traveled:
        "Once more [povname] heads down the path, getting slightly easier each time."
        "Straight, left, right, straight, straight, left."
        "Once more [povname] finds [pnoun]self at the red wall section labeled vats pump node."
    else:
        "[povname] decided to follow the red line through the towering vats, keeping on the path in order to make sure not to get lost."
        "It turned out to be the correct decision as after going straight forward [snoun] had to take a left, then a right, then go straight past two more junctions before turning left once more."
        "Walking between the vats felt like a forest of metal trees that towered over [pnoun] as [snoun] finally got to the end of the line, literally."
        "Though it was still quite dark [povname] could quite clearly make out the words Vats Pump Distribution Node on the wall in big bold red letters."
        "There was also a panel that had a small lever with two lights on them, both of which were currently off."
    menu red_path_menu:
        "Try the lever":
            if vats_pumps_online:
                "There is no need to flip the lever anymore, [povname] realized, and to do so would invite the potential for disaster."
            elif red_path_power:
                "This had to be it, [povname] thought to [pnoun]self as [snoun] slowly pulled the switch down."
                "As soon as the metal made contact with the brackets below there was a small shower of sparks that came from it as the circuit became complete."
                if vats_system_rebooted:
                    "Almost immediately [snoun] could hear the sounds of mechanisms and machines whirring to life as the pumps kicked in for the vats."
                    "[snoun] could feel the vibrations in the floor as all the vats started to glow brighter while the fluid they contained moved about unseen."
                    if vats_pressure_wrong:
                        jump vats_pipe_burst # bad end
                    else:
                        $ vats_pumps_online = True
                        "After the initial surge of noise everything seemed to settle down and the gushing of liquid flowing into or out of the vats became a dull roar that filled the air."
                    pov "Glad that worked..."
                    if vats_instruction_manual:
                        pov "Alright, the power is on and the vat pumps are doing their job, that means that I should be able to just flip the switch and turn on the lights... right?"
                        "Though it's what the manual said [povname] couldn't help but feel his stomach knot slightly at the prospect of this not working."
                    else:
                        "Whatever he had done seemed to be working, [povname] thought to [pnoun]self as everything looked to be in good order."
                    "Restoring power was the only way [snoun] had to getting out of this vats room, and at this point the last thing [snoun] wanted was to have one of Raven's guards find [pnoun] there."
                    jump red_path_menu
                else:
                    jump vats_pipe_burst # bad end
            else:
                "When [povname] pulled down the lever [snoun] nearly jumped when it snapped back into place."
                "It appeared that without power [snoun] couldn't engage whatever mechanism the lever controlled."
                "[povname] found himself scratching his head as he looked up at the black bulb that hung over [onoun] head and wondered how he could bring the machinery to life."
                "Whatever it was [snoun] wasn't going to find it here as [snoun] sighed loudly."
            jump red_path_menu
        "Look around":
            if red_path_power:
                "With the illumination that had been given to the area [povname] found themselves looking around at the surrounding area with more clarity."
                "A lot of pumps and machines could be seen that bordered the wall and a huge pipe lined the wall that had feeders that connected to each row of tanks."
                "Most of it made no sense to [povname] but as [snoun] was about to give up looking he saw a panel on one of the pumps."
                "It was a warning to make sure that pumps were primed and all valves were adjusted to the proper position before starting the distribution system."
                "Beneath it was a screen that glowed with the numbers on it and a label next to it that read pressure input readings."
                "The number 034 was the reading Pump 3, 291 was reading for Pump 4, and 749 was for Pump 5."
                "Looking back over on the right [snoun] could also read the other three labels next to those numbers."
                "The number 322 was for Pump 7, 431 was for Pump 8, and 102 was for Pump 9."
                "When [povname] looked around the rest of the area [snoun] found nothing else useful."
            else:
                "In the darkness of the area there wasn't much that [povname] could see around [pnoun]."
                "One thing [snoun] did find was that there was a screen with three glowing numbers on it on the left side of the pump."
                "034... 291... and 749..."
                "When [povname] checked the right side there were three more numbers there as well."
                "322... 431... and 102..."
                "Those numbers had no context though and even with the glowing vats there was no way to see what was inscribed on the metal plates."
                pov "Really wish I had a flashlight about now..."
                "It was hard to see anything else and [povname] had to give up on trying to find if there was anything else about it."
                "Nothing else jumped out at [pnoun] and decided to try something else."
            jump red_path_menu
        "Head back to the main entrance":
            "[povname] decided to head back towards the main entrance and followed the red line backwards."
            jump vats_entrance
label blue_path_station:
    if blue_path_power:
        "The lone light shined over the console and illuminated the name of the Power Distribution station."
    elif blue_path_traveled:
        "Once more [povname] went to the Power Distribution Station."
        "It was a rather simple path; go straight, straight again, then turn right, turn left, and straight two more times."
    else:
        "[povname] went with the blue line in order to check out what was at the end of it, his mind making a mental note of directions as he went."
        "After initially going straight from the door [snoun] had to go straight once more, then continue to go straight for two more of the giant vats before he had to turn right to go between more vats, then left."
        "Thankfully the line was still there to guide him as [snoun] had to go striaght past two more sets of vats before hitting a node that was built into the wall."
        "It had the words Power Distribution Station on it in dark blue letters and had a console that could be interacted with."
    menu blue_path_menu:
        "Interact with the console":
            if blue_path_power:
                "The singular slightbulb overhead shined on the screen that was lit up and as [povname] examined it he saw that the screen was on as well."
                "With the emergency power running [snoun] could finally interact with the computer and potentially figure out what to do."
                menu vats_computer_console:
                    "Welcome to the Factory Vats control console, please input selection."
                    "Reboot Vats computer system":
                        if vats_system_rebooted:
                            "Computer" "Invalid command, system has already been restored."
                            pov "Whoops..."
                            "After [povname] watched for a few seconds it appeared his mistake had not caused any problems as [snoun] breathed a sigh of relief."
                        else:
                            $ vats_system_rebooted = True
                            "Computer" "Rebooting Factor Vats computer systems..."
                            "Computer" "Rebooting..."
                            "Computer" "Rebooting..."
                            "Computer" "Primary operating system has been rebooted."
                        jump vats_computer_console
                    "Calibrate vat primary pump systems":
                        if vats_systems_recalibrated:
                            "Computer" "Pumps have already been given recalibration values."
                            "Computer" "Would you like to change them?"
                            menu:
                                "Yes":
                                    "Computer" "Please input the following three pump pressure readings to initiate calulated system recalibration."
                                    python:
                                        vats_pump_five = renpy.input("Pump 5")
                                        vats_pump_five = vats_pump_five.strip()
                                    python:
                                        vats_pump_three = renpy.input("Pump 3")
                                        vats_pump_three = vats_pump_three.strip()
                                    python:
                                        vats_pump_eight = renpy.input("Pump 8")
                                        vats_pump_eight = vats_pump_eight.strip()
                                    if vats_pump_five == "749" and vats_pump_three == "291" and vats_pump_eight == "431":
                                        $ vats_pressure_wrong = False
                                    "Computer" "Your new results are Pump 5 = [vats_pump_five], Pump 3 = [vats_pump_three], Pump 8 = [vats_pump_eight]"
                                    "Computer" "Your results have been recorded."
                                    "Computer" "You may not activate the pump distribution node."
                                "No":
                                    "Computer" "Exiting vat calibration system."
                            jump vats_computer_console
                        else:
                            $ vats_systems_recalibrated = True
                            "Computer" "WARNING: Vat pumps must be properly calibrated before restarted."
                            "Computer" "Failure to do so may result in pipeline ruptures or damaged machinery."
                            "Computer" "Attempting automatic calibration..."
                            "Computer" "Calibrating..."
                            "Computer" "Error, pumps must be manually recalibrated."
                            "Computer" "Please input the following three pump pressure readings to initiate calulated system recalibration."
                            python:
                                vats_pump_five = renpy.input("Pump 5")
                                vats_pump_five = vats_pump_five.strip()
                            python:
                                vats_pump_three = renpy.input("Pump 3")
                                vats_pump_three = vats_pump_three.strip()
                            python:
                                vats_pump_eight = renpy.input("Pump 8")
                                vats_pump_eight = vats_pump_eight.strip()
                            if vats_pump_five == "749" and vats_pump_three == "291" and vats_pump_eight == "431":
                                "You are correct!"
                                $ vats_pressure_wrong = False
                            "Computer" "Pressure readings are Pump 5 = [vats_pump_five], Pump 3 = [vats_pump_three], Pump 8 = [vats_pump_eight]"
                            "Computer" "Your results have been documented."
                            "Computer" "Please head back to the pump distribution system in order to activate pumps."
                            jump vats_computer_console
                    "Check Vats floor status":
                        if vats_system_rebooted:
                            "Computer" "System has been restored, all diagnostic settings are green."
                            if vats_systems_recalibrated:
                                "Computer" "Pressure input readings set."
                            else:
                                "Computer" "Invalid pressure readings detected."
                        else:
                            "Computer" "Computer has not been rebooted, recommend system restore."
                        jump vats_computer_console
                    "Leave the console":
                        "Computer" "Thank you for your hard work at Raven's Factory."
                        jump blue_path_menu
            else:
                "As [povname] tapped on the glass screen [snoun] found that there was nothing but blackness waiting for [pnoun]."
                "It appeared that there were was nothing wrong with the console itself, at least not that [snoun] could see, which meant there was likely something else."
                "When [povname] looked up he noticed there was a light that was also not on and [snoun] wondered if perhaps there was no power to the area at all."
                "With nothing else that [snoun] could see to do [povname] decided to leave it be."
            jump blue_path_menu
        "Look around":
            if blue_path_power:
                "The lights that illuminated the power station and the surrounding area seemed to reveal only the stainless steel floor and walls of the factory as well as the vats."
                "After [povname] took a glance around [snoun] quickly gathered that there was nothing there of interest."
            else:
                "With this space being a bit further away from the vats it was hard to see anything save the glowing screen."
                "Not wanting to get lost in the maze of vats [povname] decided to cease any searching of the area until later."
            jump blue_path_menu
        "Head back to the entrance":
            "[povname] decided to head back towards the entrance, once more following the line back towards the first door that [snoun] had come through initially."
            jump vats_entrance
label green_path_station:
    if green_path_power:
        "A singular lightbulb shined down on the area, illuminating a singular button as well as a ladder that stretched up into the darkness."
    elif green_path_traveled:
        "Once more [povname] makes their way through the darkness, the glow of the vats illuminating the bright green line on the floor."
        "Straight, straight, right, straight, right."
    else:
        "[povname] steels [onoun] resolve and followed the green line through the towering vats likely filled with rubber."
        "More than once [snoun] couldn't help but look up into the darkness, wondering if there was anything up there."
        "[snoun] had to keep focused though since he the line did make a few twists and turns, his initial going straight immediately proceeded by turning right."
        "A few more vats and he had to turn left, then go straight two more times before taking another right and then heading straight down to the wall."
        "There he saw that this wall was painted green and in the soft glow of the ambient light [snoun] there was a set of buttons as well as a ladder that stretched up into the darkness."
    menu green_path_menu:
        "Check out the ladder":
            if green_path_power:
                "With the lights on [povname] could see that it was a metal ladder that was bolted to the wall."
                "The illumination of the bulb pointing downward however meant that [snoun] couldn't see where it went up to as the shadows still dominated the upper half of the room."
                "Since there was no telling what might be up there [povname] knew that climbing it wouldn't be good unless absolutely necessary."
                jump green_path_menu
        "Look at the buttons":
            if green_path_power:
                "As [povname] looked at the buttons he realized that they were glowing brightly, as though enticing [pnoun] to push them."
                menu:
                    "Push the buttons?"
                    "Yes":
                        $ vats_button_presses = 1
                        default vat_button_choices = []
                        "It was time to try and start this thing..."
                        "There were five blank lights above the buttons, giving [povname] the thought that he would need at least a sequence of five."
                        if vats_instruction_manual:
                            "As [snoun] though about it [snoun] remembered that the instruction manual said something about the pattern being the start up sequence itself."
                            "Though it didn't implicitly say what the order was it was likely a big clue."
                        else:
                            "There had to be a pattern..."
                        menu vats_button_panel:
                            "Selection number [vats_button_presses]"
                            "Red button":
                                "[povname] pressed the red button."
                                $ vat_button_choices.append("Red")
                                if vats_button_presses == 5:
                                    "All the lights flashed as the last one was lit up."
                                    jump vats_wrong_buttons #this is a bad end
                                else:
                                    $ vats_button_presses += 1
                                    jump vats_button_panel
                            "Blue button":
                                "[povname] pressed the blue button."
                                $ vat_button_choices.append("Blue")
                                if vats_button_presses == 5:
                                    "All the lights flashed as the last one was lit up."
                                    jump vats_wrong_buttons #this is a bad end
                                else:
                                    $ vats_button_presses += 1
                                    jump vats_button_panel
                            "Green button":
                                "[povname] pressed the green button."
                                $ vat_button_choices.append("Green")
                                if vats_button_presses == 5:
                                    "All the lights flashed as the last one was lit up."
                                    if vat_button_choices == ["Blue", "Red", "Blue", "Red", "Green"]:
                                        if vats_pumps_online and vats_system_rebooted:
                                            "After a few seconds they all turned white and the sounds of machinery whirring to life could be heard."
                                            "A few moments later the lights in the room all flickered on, quickly filling the area with a blinding light that [povname] had to briefly shield their eyes from."
                                            "When [snoun] got used to the brightness [snoun] finally got to look around the large area for the first time without being enshrouded by the darkness."
                                            "As [onoun] head slowly tilted upwards however [onoun] jaw dropped at what [snoun] saw above [pnoun]..."
                                            "TO BE CONTINUED"
                                            return  #remove when going on with the story, jump to conveyor instead and have the guards come in.
                                        else:
                                            "As the lights turned white briefly there was a sudden loud click and suddenly they went to purple as an alarm started to blare."
                                            "Immediately [povname]'s mind raced as [snoun] wondered what was going on, [snoun] thought [snoun] had put in the right code..."
                                            "Was there something else that [snoun] had missed?"
                                            jump vats_wrong_buttons
                                    else:
                                        "Suddenly the colors flashed on the lights before they all turned purple, and to [povname]'s surprise an alarm began to blare."
                                        pov "Damn, wrong sequence..."
                                        jump vats_wrong_buttons #this is a bad end
                                else:
                                    $ vats_button_presses += 1
                                    jump vats_button_panel
                    "No":
                        "[povname] decided to leave the buttons alone for the moment."
                        jump green_path_menu
            else:
                "While it was hard to see in the darkness [povname] could tell that there were three buttons on the wall."
                "Pressing them only caused a clicking noise to be heard and it was clear that nothing was happening upon pressing them other than the sound it made."
                jump green_path_menu
        "Look around":
            if green_path_power:
                if vats_instruction manual:
                    "There was not much in the area save for the ladder and buttons, as well as the tablet that [povname] had left near the wall."
                else:
                    "With the light above the area was a little easier to explore, though [povname] didn't find much in the way of things that could help [pnoun]."
                    "Just when [snoun] was about to stop though there was something that caught [onoun] eye, the glint of something shiny that wasn't a metal pipe that was tucked away in the corner."
                    "With a little bit of crawling over the machinery [povname] eventually managed to fish out a tablet that had been left against the wall."
                    "The tablet still had power when [snoun] tapped the button and saw a list of instructions on the screen."
                    "Tablet" "Vats primary power restoration procedure."
                    "Tablet" "In the event of a power outage, even a temporary one, the vats will cycle down and go into shutdown mode to prevent castastrophic failure."
                    "Tablet" "Follow this list of instructions to engage in the safe and successful reboot of the power cycle."
                    "Tablet" "Step One: Activate the vats control system and reboot the pump controls."
                    "Tablet" "Step Two: Input the vat pressure measurements for the computer to calibrate the pumps."
                    "Tablet" "Step Three: Flip the pump distribution switch in order to activate the pumps and restore the vat cycling systems."
                    "Tablet" "Step Four: Activate the power node network by pushing the primer buttons in the correct order."
                    "It looked like that was all but as [povname] flicked the screen [snoun] saw that there was a note typed in underneath."
            else:
                "[povname] attempted to look around the area but with it being so dark there was little that [snoun] could see other than the floor that was illuminated by the glowing vats."
                "If there was something around it would remain hidden to the feline as [snoun] let out a sigh."
            jump green_path_menu
        "Read the instruction manual" if vats_instruction_manual:
            "Once more [povname] grabbed the tablet and looked at the instructions it provided."
            "Step One: Activate the vats control system and reboot the pump controls."
            "Step Two: Input the vat pressure measurements for the computer to calibrate the pumps."
            "Step Three: Flip the pump distribution switch in order to activate the pumps and restore the vat cycling systems."
            "Step Four: Activate the power node network by pushing the primer buttons in the correct order."
            "There is also the note that the primer button sequence is the same as the order that one would have to go to start the system up."
            "Once [povname] had read them over again [snoun] set the tablet to the side to make sure they didn't accidently lose it by carrying it around in the darkness."
            jump green_path_menu
        "Head back to the main entrance":
            "[povname] decided to head back to the main entrance, following the line back once more."
            jump vats_entrance
label vats_electrical_puzzle:
    "As [povname] looked over the panel [snoun] saw that there was a pop-up window for instructions."
    menu:
        "Activate the instruction window?"
        "Yes":
            "Emergency power instructions:"
            "Move the connection point through the vat nodes to the area where you want to restore power."
            "Only five nodes can be activated at one time, any attempt to reach more will cause the entire circuit to reset."
            "At this time power can only be diverted to one source at a time."
            "To turn on the main power please refer to the vat instruction manual for resetting primary power."
        "No":
            "[povname] clicked the dismiss box for now and decided to focus on the task at hand."
    menu electrical_direction:
        "The glowing lines currently show the dot in the region of ([electrical_x_axis],[electrical_y_axis]) on the eletrical matrix."
        "Go up":
            "[povname] pressed the up arrow to direct the flow to the next node up."
            if electrical_y_axis == 0:
                "There is a loud buzz and the computer tells you that it's an invalid command, which makes sense since it would go off the grid."
            else:
                "The line connects with the node going up with a small chirping noise."
                $ electrical_y_axis -= 1
                $ electrical_turns_taken += 1
                jump electrical_puzzle_check
        "Go forward":
            if electrical_x_axis == 5:
                "There is a loud buzz and the computer tells you that it's an invalid command, which given there were no more nodes on the screen after it made sense."
            else:
                "The white line moves forward to connect to the next node forward in the grid, connecting it with the previous node."
                $ electrical_x_axis += 1
                $ electrical_turns_taken += 1
                jump electrical_puzzle_check
        "Go down":
            if electrical_y_axis == 4:
                "There is a loud buzz and the computer tells you that it's an invalid command, which since he was at the bottom of the screen made sense."
            else:
                "[povname] watched as the line connected the node beneath the one that was currently flashing, forming another connection."
                $ electrical_y_axis += 1
                $ electrical_turns_taken += 1
                jump electrical_puzzle_check
        "Reset":
            "[povname] pressed the reset button and watched all the white lines revert back to the one glowing sphere at the start of the glowing panel."
            $ electrical_x_axis = 1
            $ electrical_y_axis = 2
            $ electrical_turns_taken = 0
            jump electrical_direction
        "Give up":
            "[povname] stepped away from the panel, letting it reset back to its default state before moving back towards the main area."
            jump vats_entrance
label electrical_puzzle_check:
    if electrical_y_axis == 0 and electrical_x_axis == 4:
        "There was a loud beep and [povname] let out a gasp when [snoun] saw that the line [snoun] was tracing suddenly turned red."
        "There was also the sound of machinery powering up and as [povname] looked out at the factory [snoun] saw that there was a light on the left wall that flickered to life."
        "It appeared that the emergency power nodes had been connected, the only question would be what [snoun] had just done as [snoun] backed away from the screen."
        $ red_path_power = True
        jump vats_entrance
    elif electrical_y_axis == 3 and electrical_x_axis == 5:
        "A loud beep could be heard and as the line of light turned from red to blue [snoun] could hear the hum of electricity."
        "When [povname] turned back towards the factory and saw that there was the faint glow of light aside from the vats themselves."
        "It certainly warranted more investigation as [snoun] left the panel to go and look for [pnoun]self."
        $ blue_path_power = True
        jump vats_entrance
    elif electrical_y_axis == 4 and electrical_x_axis == 4:
        "Success, [povname] felt his heart skip a beep when the light turned from white to green and displayed that emergency power had been connected."
        "When [snoun] looked further down they saw that there was a faint glow that had appeared deeper into the vats room where the green line had pointed."
        "This was the chance to investigate the area without being completely in the dark as [snoun] left the emergency screen in its connected state."
        $ green_path_power = True
        jump vats_entrance
    elif electrical_turns_taken >= 5:
        $ electrical_turns_taken = 0
        "There was a loud buzz and a message appeared on the screen that said that there was insufficent power to make a stable connection."
        "It looked like each individual node had to be powered along the way, and as [povname] saw [onoun] work disappear it seemed it could only handle five nodes."
        "There had to be some way to know what the right connection was..."
        jump electrical_direction
    else:
        jump electrical_direction
#second floor
label vats_conveyor_floor:
    ""

# bad ends
label vats_pipe_burst:
    "As [povname] heard the ominous groan of metal [snoun] slowly turned back from the lever towards the huge vats that were closest to [pnoun]."
    "It wasn't long until [snoun] saw the pipes that were connected to the vats starting to shake as the sound of machines coming to life was replaced with the sound of calamity."
    "Whatever that lever had done clearly wasn't a good thing, but when [povname] attempted to put it back up [snoun] found that it wouldn't lock back into place."
    "When it was clear that the action couldn't be undone [povname] spun around to run, only to hear the sound of metal tearing apart as several of the pipes ruptured!"
    "All [snoun] could do was put his hands in front of his face as the burst pipes caused the shiny black liquid to rain down on [pnoun] until [snoun] was almost completely covered."
    "Despite [onoun] best efforts some of the rubber managed to get on [onoun] face as well, but when [snoun] tried to open [pnoun] eyes to see the damgage [snoun] found they were stuck shut!"
    "It wasn't just [onoun] eyes either; as [snoun] tried to get the gunk off of [onoun] face it only served to spread the material further until [povname] found [snoun] lips sticking shut as they were coated."
    if gender_male:
        "With his eyes coated and his mouth only allowing muffled grunts to come out [povname] could only think about getting help, at least until he felt the splotches of rubber on his maleness begin to tingle against the sensitive flesh."
        "This was Raven's rubber and it soon became apparent what it was used for as the synthetic substance quickly engulfed his cock and creating waves of pleasure that brought [povname] down to his knees."
        "With no way to see, or hear as the rubber covered his ears and completely plugged them, there was nothing he could do to stop the shiny material from covering his body."
        "It didn't take long for the latex coating his muzzle to completely seal up and when he tried to move his arms up he was shocked to find that they had become stuck to his sides."
        "As his body wiggled on the factory floor the stimulation to his throbbing maleness was increased as the shaft was drawn up to his stomach and smoothed over with layers and layers of rubber until he had nothing but a smooth bulge between his legs."
        "That didn't stop the rubber though as he fell to his side, partially from his legs being pulled together by the rubber that knit over the space between them and also from the tentacle that began to push into his tailhole."
        "Soon [povname]'s shouts for help turned to cries of esctasy as the substances that had spread completely over him had begun to expertly pleasure him, pushing against his prostate as the rubber that did leak into his mouth formed a dildo gag."
        "With his legs formed into a rubber sleeve and his arms completely covered while pinned to his sides all [povname] could do was squirm on the floor as more of the liquid from the ruptured pipe rained down on him until he was cocooned to the floor."
        "When the auto shutdown did finally engage [povname] couldn't move at all, the cocoon that showed the vague outline of his body only twitching as he waited for someone to rescue him."
        "Someone was coming to rescue him... right?"
    elif gender_female:
        "With her eyes coated and her mouth filling with the rubbery substance all she could think about was trying to get help, but as she began to move she could feel the latex that had landed around her inner thighs form into a tentacle and start to push upwards."
        "She let out a muffled grunt and as the tip began to press against her pussy lips the jolt of pleasure nearly caused her to fall down, though it was partially helped by the fact that her thighs were starting to stick together."
        "If she had been able to see she would have witnessed the rubber knitting together and pulling her limbs together as the rubber on her body began to spread like wildfire, quickly coating her fur as a pair of tendrils formed plugs in her ears to shut out sound."
        "Already it was getting hard to stand and with her nether lips being coated in the stimulating rubber it was getting hard to even thick as the substance also spread over her nipples, though it had completely covered her breasts already."
        "As the shiny orbs of her chest were teased by the rubber she tried to reach up in a foolhearty attempt to stifle the pleasure, only to find that her upper arms were stuck fast to her sides."
        "She tried to pull them away but it only succeeded in causing her to fall over as her increasingly shiny body wiggled on the floor, her facial features disappearing underneath the rubber as the shiny substance clung to her form."
        "After completely coating and pushing into her pussy another tentacle slid into her tailhole as well, causing [povname]'s back to arch in pure esctasy as the last of her fur was completely covered."
        "The rubber that rained down on her caused her body to stick to the floor as her legs were completely encased and sleeved along with her arms to the point where she could do little but squirm, which became harder with each layer that spread over her."
        "It wasn't long before the auto shutdown did engage, but by that point [povname] was completely cocooned with her body only able to twitch under the inches of rubber that smoothed over her feminine form."
        "As a dildo gag formed in her maw and the latex substance continued to squirm about and stimulate her insides all she could do was wait for someone to rescue her."
        "Someone was coming to rescue her... right?"
    else:
        "Debug code A-1"
    "BAD END"
    return
label vats_wrong_buttons:
    "Before [povname] could do anything the floor beneath him suddenly opened up and [snoun] found [pnoun]self dropping straight down into the darkness below!"
    "But [snoun] didn't have far to go as [onoun] feet suddenly felt the touch of rubber against [onoun] feet."
    "[povname] did manage to sink all the way past the floor though and as soon as [snoun]'s head passed by the opening the steel door slammed shut above [snoun]"
    "As [snoun] continued to struggle [snoun] quickly realized that they were in some sort of rubber bag, but [snoun] quickly found it to be more than just a simple sack to contain them as the material began to move."
    if gender_male:
        "[povname] gasped as something touched against his lips, which only made it easier for the dildo gag that had formed from the rubber to slip inside his maw."
        "With his body suspended there was nothing he could do to keep it from sliding past his tongue, especially as the latex he was trapped in began to press more against his furry form."
        "As his maw was filled there was another sensation of being spread open, but this time it was underneath his tail as another dildo began to press against his tight wall of muscle."
        "Even though he was trapped the sensation of rubber against his fur, and especially on his rapidly hardening maleness, caused him to let out a muffled groan as he was penetrated from both ends."
        "More and more the rubber clung to his body until it became hard for [povname] to move until all he could do was wiggle in pleasure from being completely encapsulated."
        "As the material suctioned around his head he let out a snort as two smaller tendrils pushed into his nostrils, though as soon as they did they fed him air while another tentacle completely engulfed his rock-hard member."
        "Soon the feline found himself curling up as the sleep sack he was trapped in continued to envelop his body until there was nothing between his body and the rubber that had ensnared him."
        "The dildos were essentially sealed inside of them and as they began to vibrate in his throat and tailhole a similar sensation was happening to the rubber around his trapped cock."
        "At least Raven knows how to treat his captives, [povname] thought to himself before the waves of pleasure overwhelmed him to the point he would just be a squirming mess as the darkness overwhelmed his senses completely..."
    elif gender_female:
        "[povname] gasped as something pressed up against her lips, the dildo gag that had formed from the rubber walls taking advantage of her open mouth to slip into it."
        "She let out a muffled moan as her suspended body felt the rubber rubbing more and more against her body, trapping her breasts and causing her legs to be slightly spread open as something similar to the gag in her maw pressed up against her pussy."
        "Her body bent forward a bit as the new rubber dildo started to push past her wet folds while another slid up underneath her tailhole, the latex eager to penetrate her in both holes while the sack continued to encase her."
        "Soon she could hardly move her arms that were pinned to her sides and as the rubber suctioned against her head she could feel two tendrils push into her nose, causing her to squirm slightly until they began to provide her with fresh air."
        "The pleasure was quickly growing as [povname] continued to wiggle even as her latex prison tightened against her, and it was only causing more stimulation as the two dildos pushed up into her body."
        "With her pussy spread open and her throat and tailhole stretched as well it was hard for her to focus on anything but the blissful sensations as the rubber around her nipples and her clit began to press tight against it."
        "It wasn't long before her rubber cocoon had completely enveloped and sealed her body before it started to vibrate, which if she didn't have a rubber cock in her throat she would have moaned loudly as her feline form merely wiggled slightly."
        "At least raven knew how to treat his captives, [povname] thought to herself before the dildos sealed in her holes began to vibrate that made it hard to think of anything."
        "It wasn't long before the darkness she was in completely overwhelmed her senses..."
    else:
        "Dubug code A-2"
    "BAD END"
    return
label vats_conveyor_fall:
    ""
